package com.liquidnet.service.sweet.utils;

import com.liquidnet.service.sweet.dto.*;
import com.liquidnet.service.sweet.dto.vo.IntegralActivityDrawVo;
import com.liquidnet.service.sweet.dto.vo.IntegralActivityVo;
import com.liquidnet.service.sweet.entity.SweetManualShop;
import com.liquidnet.service.sweet.entity.SweetManualShopFive;
import com.liquidnet.service.sweet.entity.SweetManualShopMdsk;
import com.liquidnet.service.sweet.entity.SweetManualShopTfc;
import com.liquidnet.service.sweet.vo.SweetCItyVoteStatVo;

import java.util.ArrayList;

public class ObjectUtil {
    private static final ArrayList<SweetManualAppletDto> sweetManualAppletDtoList = new ArrayList<>();
    private static final ArrayList<SweetManualArtistListDto> sweetManualArtistListDtoList = new ArrayList<>();
    private static final ArrayList<SweetManualShop> sweetManualShopList = new ArrayList<>();

    private static final ArrayList<SweetManualAppletMDSKDto> sweetManualAppletMDSKDtoList = new ArrayList<>();
    private static final ArrayList<SweetManualArtistListMDSKDto> sweetManualArtistListMDSKDtoList = new ArrayList<>();
    private static final ArrayList<SweetManualShopMdsk> sweetManualShopMDSKList = new ArrayList<>();

    private static final ArrayList<SweetManualAppletFiveDto> sweetManualAppletFiveDtoList = new ArrayList<>();
    private static final ArrayList<SweetManualArtistListFiveDto> sweetManualArtistListFiveDtoList = new ArrayList<>();
    private static final ArrayList<SweetManualShopFive> sweetManualShopFiveList = new ArrayList<>();

    private static final ArrayList<SweetManualAppletTFCDto> sweetManualAppletTFCDtoList = new ArrayList<>();
    private static final ArrayList<SweetManualArtistListTFCDto> sweetManualArtistListTFCDtoList = new ArrayList<>();
    private static final ArrayList<SweetManualShopTfc> sweetManualShopTFCList = new ArrayList<>();

    private static final ArrayList<SweetCItyVoteStatVo> sweetCItyVoteStatVoList = new ArrayList<>();
    private static final ArrayList<IntegralActivityVo> sweetIntegralActivityVoList = new ArrayList<>();
    private static final ArrayList<IntegralActivityDrawVo> sweetIntegralActivityDrawVoList = new ArrayList<>();

    public static ArrayList<SweetManualAppletDto> getSweetManualAppletDtoList() {
        return (ArrayList<SweetManualAppletDto>) sweetManualAppletDtoList.clone();
    }

    public static ArrayList<SweetManualArtistListDto> getSweetManualArtistListDtoList() {
        return (ArrayList<SweetManualArtistListDto>) sweetManualArtistListDtoList.clone();
    }

    public static ArrayList<SweetManualShop> getSweetManualShopList() {
        return (ArrayList<SweetManualShop>) sweetManualShopList.clone();
    }


    public static ArrayList<SweetManualAppletMDSKDto> getSweetManualAppletMDSKDtoList() {
        return (ArrayList<SweetManualAppletMDSKDto>) sweetManualAppletMDSKDtoList.clone();
    }

    public static ArrayList<SweetManualAppletFiveDto> getSweetManualAppletFiveDtoList() {
        return (ArrayList<SweetManualAppletFiveDto>) sweetManualAppletFiveDtoList.clone();
    }

    public static ArrayList<SweetManualAppletTFCDto> getSweetManualAppletTFCDtoList() {
        return (ArrayList<SweetManualAppletTFCDto>) sweetManualAppletTFCDtoList.clone();
    }

    public static ArrayList<SweetManualArtistListTFCDto> getSweetManualArtistListTFCDtoList() {
        return (ArrayList<SweetManualArtistListTFCDto>) sweetManualArtistListTFCDtoList.clone();
    }

    public static ArrayList<SweetManualShopTfc> getSweetManualShopTFCList() {
        return (ArrayList<SweetManualShopTfc>) sweetManualShopTFCList.clone();
    }

    public static ArrayList<SweetManualArtistListMDSKDto> getSweetManualArtistListMDSKDtoList() {
        return (ArrayList<SweetManualArtistListMDSKDto>) sweetManualArtistListMDSKDtoList.clone();
    }

    public static ArrayList<SweetManualShopMdsk> getSweetManualShopMdskList() {
        return (ArrayList<SweetManualShopMdsk>) sweetManualShopMDSKList.clone();
    }

    public static ArrayList<SweetManualArtistListFiveDto> getSweetManualArtistListFiveDtoList() {
        return (ArrayList<SweetManualArtistListFiveDto>) sweetManualArtistListFiveDtoList.clone();
    }

    public static ArrayList<SweetManualShopFive> getSweetManualShopFiveList() {
        return (ArrayList<SweetManualShopFive>) sweetManualShopFiveList.clone();
    }

    public static ArrayList<SweetCItyVoteStatVo> getSweetCItyVoteStatVoList() {
        return (ArrayList<SweetCItyVoteStatVo>) sweetCItyVoteStatVoList.clone();
    }

    public static ArrayList<IntegralActivityVo> getSweetIntegralActivityVoList() {
        return (ArrayList<IntegralActivityVo>) sweetIntegralActivityVoList.clone();
    }

    public static ArrayList<IntegralActivityDrawVo> getSweetIntegralActivityDrawVoList() {
        return (ArrayList<IntegralActivityDrawVo>) sweetIntegralActivityDrawVoList.clone();
    }
}
